import request from '/@/utils/request';

/**
 * 用户登录
 * @param params 要传的参数值
 * @returns 返回接口数据
 */
export function signIn(params: string) {
	return request({
		url: '/user/info/login',
		method: 'post',
		headers: {
		'Content-Type': 'application/x-www-form-urlencoded'
		},
		data: params,
	});
}
export function getuserinfo() {
	return request({
		url: '/user/info/getUserInfo',
		method: 'post'
	})
}
// 修改用户信息
export function editUserInfo(params:string) {
	return request({
		url: '/user/info/update',
		method: 'post',
		data: params
	})
}
export function getUserDetail2(params: string) {
	return request({
		url: '/user/info/detail2',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
/**
 * 用户退出登录
 * @param params 要传的参数值
 * @returns 返回接口数据
 */
export function signOut(params: object) {
	return request({
		url: '/user/signOut',
		method: 'post',
		data: params,
	});
}
